Bug 255509 - archivers/urbackup-client: POSTGRESQL_DUMP_ENABLED not working
Summary: archivers/urbackup-client: POSTGRESQL_DUMP_ENABLED not working
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-30 09:34 UTC by Einar Bjarni Halldórsson
Modified: 2021-05-12 14:21 UTC (History)
1 user (show)

See Also:


Attachments
Fix path to postgresqldump script (623 bytes, patch)
2021-05-12 10:24 UTC, Einar Bjarni Halldórsson
einar: maintainer-approval? (nc)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Einar Bjarni Halldórsson 2021-04-30 09:34:49 UTC
Symptom: If I enable POSTGRESQL_DUMP_ENABLED, I get the following log on the urbackup server

postgresqldump.sql: could not find a "pg_dumpall" to execute

If I edit /usr/local/share/urbackup/scripts/postgresqldump to add the full path to /usr/local/bin/pg_dumpall it works.

The last time this occurred was on a relatively new server so I think it's unlikely we've changed anything that would cause this, but I haven't tried it on a fresh install.
Comment 1 Neel Chauhan freebsd_committer 2021-05-11 19:11:32 UTC
Sorry for the late response. I will look into this.
Comment 2 commit-hook freebsd_committer 2021-05-11 19:30:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3dd951e0c7e881299101922fbb307cdaf375055a

commit 3dd951e0c7e881299101922fbb307cdaf375055a
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-05-11 19:22:22 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-05-11 19:30:14 +0000

    archivers/urbackup-client: Fix the POSTGRESQL_DUMP_ENABLED option

    The POSTGRESQL_DUMP_ENABLED option looks for the pg_dumpall command
    which is not in the PATH, so we append the PREFIX in the script.

    PR:             255509
    Submitted by:   Einar Bjarni Halldórsson <einar@isnic.is>

 archivers/urbackup-client/Makefile                      | 17 ++++++++++-------
 ...-urbackupclient_backup__scripts_postgresqldump (new) | 15 +++++++++++++++
 2 files changed, 25 insertions(+), 7 deletions(-)
Comment 3 Neel Chauhan freebsd_committer 2021-05-11 19:31:06 UTC
I have committed a fix.

Thanks for reporting!
Comment 4 Einar Bjarni Halldórsson 2021-05-11 20:04:02 UTC
Thank you very much! This makes me so happy!
Comment 5 Einar Bjarni Halldórsson 2021-05-12 10:24:15 UTC
Created attachment 224867 [details]
Fix path to postgresqldump script

I'm not sure if there is a more robust way to add the correct path
Comment 6 Einar Bjarni Halldórsson 2021-05-12 10:25:13 UTC
Building failed in poudriere until I fixed the path in post-patch.

I've attached a patch with what I changed to get it to build
Comment 7 commit-hook freebsd_committer 2021-05-12 14:21:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=57eabeb80b69fef8515cf0c23b27187e006f843f

commit 57eabeb80b69fef8515cf0c23b27187e006f843f
Author:     Einar Bjarni Halldórsson <einar@isnic.is>
AuthorDate: 2021-05-12 14:20:27 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-05-12 14:20:27 +0000

    archivers/urbackup-client: Fix build

    PR:     255509

 archivers/urbackup-client/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)